#
# spec file for package opensuse-manual_en (Version 10.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs desktop-translations diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone update-desktop-files util-linux zlib

Name:           opensuse-manual_en
%define my_lang en
%define my_prov_obs suselinux-adminguide_%{my_lang} suselinux-userguide_%{my_lang} suselinux-manual_%{my_lang}
%define my_book opensuse-html
Version:        10.3
Release:        39.2
Obsoletes:      %{my_prov_obs}
Provides:       %{my_prov_obs}
Provides:       locale(desktop-data-SuSE:en)
Obsoletes:      suselinux-manual_es suselinux-manual_fr suselinux-manual_it suselinux-manual_ja suselinux-manual_pt_BR suselinux-manual_zh_CN suselinux-manual_zh_TW opensuse-quickstart_en
Provides:       suselinux-manual_es suselinux-manual_fr suselinux-manual_it suselinux-manual_ja suselinux-manual_pt_BR suselinux-manual_zh_CN suselinux-manual_zh_TW opensuse-quickstart_en
#OBS
Source00:       opensuse-html_en-html.tar.bz2
Source01:       opensuse-html_en-desktop.tar.bz2
Source10:       opensuse-gnomequick_en.pdf
Source11:       opensuse-gnomequick_en-graphics.tar.bz2
Source12:       opensuse-gnomequick_en.tar.bz2
Source13:       LICENSE.txt
Source20:       opensuse-kdequick_en.pdf
Source21:       opensuse-kdequick_en-graphics.tar.bz2
Source22:       opensuse-kdequick_en.tar.bz2
Source30:       opensuse-kdeuser_en.pdf
Source31:       opensuse-kdeuser_en-graphics.tar.bz2
Source32:       opensuse-kdeuser_en.tar.bz2
Source40:       opensuse-reference_en.pdf
Source41:       opensuse-reference_en-graphics.tar.bz2
Source42:       opensuse-reference_en.tar.bz2
Source50:       opensuse-startup_en.pdf
Source51:       opensuse-startup_en-graphics.tar.bz2
Source52:       opensuse-startup_en.tar.bz2
Source60:       APPARMOR-admin_en.pdf
Source61:       APPARMOR-admin_en-graphics.tar.bz2
Source62:       APPARMOR-admin_en.tar.bz2
#SOURCES
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  update-desktop-files
Group:          Documentation/SuSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        openSUSE Manual (English)
%define _defaultdocdir %{_datadir}/doc/manual
%define _docdir %{_datadir}/doc/manual
%define PDFDOC %{_defaultdocdir}/%{name}-pdf

%description
The openSUSE manual package contains the Start-Up, Reference, AppArmor
Administration Guide, GNOME and KDE Quick Start, and KDE User Guide. 
The GNOME User Guide is packaged separately as opensuse-gnomeuser_en.



%debug_package
%package pdf
Group:          Documentation/SuSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        openSUSE Manual (English) as PDF
#Provides:     locale(desktop-data-SuSE:en)
Obsoletes:      suselinux-manual_es-pdf suselinux-manual_fr-pdf suselinux-manual_it-pdf suselinux-manual_ja-pdf suselinux-manual_pt_BR-pdf suselinux-manual_zh_CN-pdf suselinux-manual_zh_TW-pdf opensuse-quickstart_en-pdf
Provides:       suselinux-manual_es-pdf suselinux-manual_fr-pdf suselinux-manual_it-pdf suselinux-manual_ja-pdf suselinux-manual_pt_BR-pdf suselinux-manual_zh_CN-pdf suselinux-manual_zh_TW-pdf opensuse-quickstart_en-pdf
#PDFOBS

%description pdf
PDF of the openSUSE Manual (English).



%prep
#%setup -c -q
%setup -c -q -a 01
#PREP
find -name '*.png' -o -name '*.svg' | xargs chmod 644
cp %{S:10} .
cp %{S:20} .
cp %{S:30} .
cp %{S:40} .
cp %{S:50} .
cp %{S:60} .
#PDFPREP

%build
find . -name CVS -o -name '.xvpics' -o -name '.cvsignore' \
  | xargs rm -fr
# make sure index.html exists
for f in $(find html -type f -name 'book.*'); do
  pushd ${f%/*}
  [ -f index.html -o -L index.html ] || ln -sf ${f##*/} index.html
  popd
done

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
# is set for sles or sled as /sles or /sled
%define my_desktopdir /usr/share/susehelp/meta
echo %{my_desktopdir} | sed 's:\(\|xyzy\)::' >filelist
# mkdir -p  desktop/{startup,reference,application,apparmor-admin-guide}
###
install -d $RPM_BUILD_ROOT%{my_desktopdir}/%{name}
# product is name without language code
%if %suse_version < 1030
%define gnome_dir /opt/gnome/share/gnome/help/opensuse-manual
%else
%define gnome_dir %{_datadir}/gnome/help/opensuse-manual
%endif
install -d $RPM_BUILD_ROOT%{gnome_dir}
#
if [ -d html/%my_book ]; then
mv html/%my_book html/manual
pushd desktop
# problem writing desktop files on 10.3
if [ -d index.desktop ]; then
  for f in $(find index.desktop -mindepth 1 -maxdepth 1); do
    mv $f .
  done
  rmdir index.desktop
fi
if [ ! -f .directory ]; then
  # stand-alone book, hidden in sub-directory
  dir=$(find . -maxdepth 1 -type d -name 'book_*')
  if [ -n "$dir" ]; then
    for f in $(find $dir -mindepth 1 -maxdepth 1); do
      mv $f .
    done
    rmdir $dir
  fi
fi
for f in $(find . -type f -name '*desktop'); do
    # /usr/share/doc/manual/suselinux-manual_en/manual
    sed -i "/^X-DOC-Identifier.*/d
s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//" $f
    if ! grep -q -e '^Name *=' $f; then
    # requiered if no "Name=" is present
      sed -i "s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
    fi
done
for d in $(find . -maxdepth 1 -type d -name 'book*'); do
  id=${d//\./}
  id=${id//\//}%{my_lang}
  pushd $d
  for f in $(find . -name '.directory'); do
    sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//
s|@id@|$id|" $f
    case $d in
      *_startup)
        [ $f = "./.directory" ] \
          && sed -i "s|^\(X-DOC-Weight\).*|\1=-10000|" $f ;;
    esac
  done
  popd
done
# Probably useful for stand-alone books
for f in $(find . -name '*.directory'); do
  id=%{name}
  id=${id//_/}
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//
s|@id@|$id|" $f
  # Fix the index.html reference
  if [ $f = ./.directory ]; then
    sed -i 's:\(^DocPath.*/\).*:\1index.html:
s/^\(Name\|Comment\)\(.*\)/\1\2 (%{my_lang})/' $f
  fi
done
# # remove the dots from the file names
# for f in $(find . -type f -name '*desktop'); do
#   d=${f%/*}
#   n=${f##*/}; n=${n/\.desktop}; n=${n//\./_}; n=${n}.desktop
#   [ $f = $d/$n ] || mv -v $f $d/$n
# done
# ren_dir () {
#   for d in $(find . -maxdepth $1 -mindepth $1 -type d); do
#     n=${d#*/}; n=${n//\./_}
#     [ $d = $n ] || mv -v $d $n
#   done
# }
# ren_dir 1
# ren_dir 2
# #
cp -a . $RPM_BUILD_ROOT%{my_desktopdir}/%{name}
popd
# Link it into the Gnome help system (must be found by calling
# susehelp help://suselinux-manual/
pushd $RPM_BUILD_ROOT/%{gnome_dir}
if [ %{my_lang} = "en" ]; then
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/manual
  install -d $target
  ln -sf %{_defaultdocdir}/%{name}/manual C
else
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/manual
  install -d $target
  ln -sf %{_defaultdocdir}/%{name}/manual %{my_lang}
fi
popd
else
# PDF only books
install -d html/manual
echo PDF only > html/manual/%{name}
fi
%suse_update_desktop_file $RPM_BUILD_ROOT%{my_desktopdir}/%{name}/.directory

%files pdf
%defattr(-, root, root)
%dir %{_defaultdocdir}
%doc *.pdf

%files
%defattr(-, root, root)
%doc html/manual
%{my_desktopdir}
%dir %{_datadir}/susehelp
%{gnome_dir}
%if %suse_version > 1020
%dir /usr/share/gnome
%dir /usr/share/gnome/help
%else
%dir /opt/gnome
%dir /opt/gnome/share
%dir /opt/gnome/share/gnome
%dir /opt/gnome/share/gnome/help
%endif
%changelog
* Wed Nov 07 2007 - ke@suse.de
- Correct X-DOC-Weight using better style-sheet support.
* Mon Oct 29 2007 - bg@suse.de
- Fixing support information; see bug [#339034].
* Fri Sep 21 2007 - ke@suse.de
- Assign X-DOC-Weight manually (-3000) to make it show up right after
  the release-notes.
* Thu Sep 20 2007 - ke@suse.de
- Work around for sorting Quick* book chapters (KDE, GNOME, AppArmor);
  [#] 326392.
* Wed Sep 19 2007 - ke@suse.de
- Remove more X-DOC settings; reported by Stephan Binner [# 325691].
- Make X-DOC-Weight values positive; [# 326392].
* Mon Sep 17 2007 - ke@suse.de
- Remove X-DOC-Identifier from *.desktop files; reported by Stephan
  Binner [# 325691].
* Fri Sep 14 2007 - ke@suse.de
- Update text files.
* Thu Sep 13 2007 - ke@suse.de
- Update text files and images.
* Fri Sep 07 2007 - ke@suse.de
- Update text files and images.
* Thu Sep 06 2007 - coolo@suse.de
- As discussed with Tanja and Jana: pdfs should not be installed by
  default
* Fri Aug 24 2007 - ke@suse.de
- Update text files and images.
- Add missing spaces in .directory files; reported by Stephan Binner,
  fixed by Thomas Schraitle; #299605.
* Mon Aug 20 2007 - ke@suse.de
- Update text files and images.
* Thu Aug 16 2007 - ke@suse.de
- Move coolo's patch to the spec file templates.
- Update source files.
- Optimize PNGs as implemented by Berthold Gunreben; #299098.
* Wed Aug 15 2007 - coolo@suse.de
- trigger installation on english (or fallback) desktop installations
  (#296873)
* Thu Aug 09 2007 - ke@suse.de
- New 10.3 pre-release for beta2.
- Prepare .directory for translation using update-desktop-files;
  [#252573].
* Mon Aug 06 2007 - ke@suse.de
- New 10.3 pre-release for beta1.
- Improve building .desktop files; now the "quick" manual are visible.
  Thanks to Thomas Schraitle. [# 288788].
* Wed Aug 01 2007 - ke@suse.de
- New 10.3 pre-release for testing.
- Add opensuse-quickstart_en the obsoletes.
* Fri Jul 20 2007 - ke@suse.de
- 10.3 pre-release for testing.
- New method for building .desktop files; thanks to Thomas Schraitle.
* Wed Jun 06 2007 - ro@suse.de
- documentation shouldn't be executable
* Wed Jan 31 2007 - ro@suse.de
- GNOME moved to /usr
* Fri Nov 24 2006 - ke@suse.de
- Update KDE User Guide and parts of the other manuals.
- Add language tag to the khelpcenter section title.
* Mon Nov 13 2006 - ro@suse.de
- try to fix specfile
* Fri Nov 10 2006 - ke@suse.de
- Update XML and image files.
* Wed Nov 08 2006 - ke@suse.de
- Update XML and image files.
- Avoid dots in desktop files to make navigation links of the
  khelpcenter work; thanks to Will Stephenson and Cornelius Schumacher
  [#213573].
* Tue Nov 07 2006 - ke@suse.de
- Update XML and image files.
- Move the Quickstarts from here to the opensuse-quickstart_en package.
* Mon Nov 06 2006 - ke@suse.de
- Update XML and image files for beta2.
- desktop files are still broken.
* Fri Oct 27 2006 - dmueller@suse.de
- don't build as root
* Thu Oct 26 2006 - ke@suse.de
- Update xml and image files and build new output formats; still
  preliminary.
* Thu Oct 19 2006 - ke@suse.de
- Update.
- Some desktop file adjustments, but still broken.
* Mon Oct 16 2006 - ke@suse.de
- Update the package.
- Fix locale provides.
* Fri Oct 13 2006 - ke@suse.de
- Update the package.
- Add desktop files and make it accessible from the KDE Help Center;
  there are still issues with the navigation tree.
* Thu Oct 12 2006 - ke@suse.de
- Rename for suselinux-manual_en to opensuse-manual_en.
- Thus far not at all integrated into the help systems!
* Tue Apr 18 2006 - ke@suse.de
- Install the AppArmor manual as AppArmor; reported by Christian Boltz
  [# 166088]
- Provide Name without language code for top level .directory file.
* Tue Apr 11 2006 - ke@suse.de
- Adjust locale Provides [# 162525].
* Fri Apr 07 2006 - ke@suse.de
- Update for 10.1 RC1.
* Thu Apr 06 2006 - ke@suse.de
- Make it available for yelp on Gnome (call:
  susehelp help://suselinux-manual/).
* Thu Mar 02 2006 - ke@suse.de
- Update for beta7.
- Add AppArmor Admin Guide.
* Mon Feb 20 2006 - ke@suse.de
- Update for beta5.
* Fri Feb 10 2006 - ke@suse.de
- Update for 10.1 betaX.
* Mon Jan 30 2006 - ke@suse.de
- Update for 10.1 beta3.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - ke@suse.de
- Update for 10.1 beta2 and add XML sources.
* Fri Jan 13 2006 - ke@suse.de
- 10.1 preview manuals for testing.
* Mon Sep 12 2005 - ke@suse.de
- Update.  Last final fixes.
* Wed Sep 07 2005 - ke@suse.de
- Update.  Both the books are final.
* Mon Sep 05 2005 - ke@suse.de
- Update the manuals; the Start-Up Guide is final.
* Fri Sep 02 2005 - ke@suse.de
- Update the manuals.
* Mon Aug 29 2005 - ke@suse.de
- Update the manuals.
* Fri Aug 12 2005 - ke@suse.de
- Update the manuals and adjust the desktop files used by the
  help system; both HTML manuals are now part of one set.
* Fri Aug 05 2005 - ke@suse.de
- Update the manuals.
* Mon Aug 01 2005 - ke@suse.de
- Update the manuals.
* Thu Jul 28 2005 - ke@suse.de
- Fix desktop files and update the manuals.
* Mon Jul 25 2005 - ke@suse.de
- Initial package for testing; it contains the Start-Up and the
  Reference Manual.
